
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>JavaWeb三大组件之一Filter知识总结 / 憋错料</title>

    <meta name="description" content="JavaWeb三大组件之一Filter知识总结 [1] Filter简介    &gt; Filter翻译为中文是过滤器的意思.    &gt; Filter是JavaWeb的三大web组件之一Servlet.Filter.Listener    &gt; Filter的作用是在请求到达WEB资源(HTML.CSS.Servlet.JSP)之前进行拦截.    &gt; Filter需要交给Tomcat访问器来管理    &gt; Filter的作用:        1.Filter可以在请求到达目标资源之前进行拦截        2.Fil ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">JavaWeb三大组件之一Filter知识总结</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>[1] Filter简介<br />&nbsp; &nbsp; &gt; Filter翻译为中文是过滤器的意思。<br />&nbsp; &nbsp; &gt; Filter是JavaWeb的三大web组件之一Servlet、Filter、Listener<br />&nbsp; &nbsp; &gt; Filter的作用是在请求到达WEB资源（HTML、CSS、Servlet、JSP）之前进行拦截。<br />&nbsp; &nbsp; &gt; Filter需要交给Tomcat访问器来管理<br />&nbsp; &nbsp; &gt; Filter的作用：<br />&nbsp; &nbsp; &nbsp; &nbsp; 1.Filter可以在请求到达目标资源之前进行拦截<br />&nbsp; &nbsp; &nbsp; &nbsp; 2.Filter也可以放行请求<br />&nbsp; &nbsp; &nbsp; &nbsp; 3.Filter可以在响应到达浏览器之前做一个预处理</p>
<p>[2] Filter的HelloWorld<br />&nbsp; &nbsp; &gt; 步骤：<br />&nbsp; &nbsp; &nbsp; &nbsp; 1.创建一个类实现Filter接口<br />&nbsp; &nbsp; &nbsp; &nbsp; 2.在web.xml文件中对Filter进行配置<br />&nbsp; &nbsp; &nbsp; &nbsp; &lt;filter&gt;<br />&nbsp; &nbsp; &nbsp; &nbsp; &lt;filter-name&gt;Filter的别名&lt;/filter-name&gt;<br />&nbsp; &nbsp; &nbsp; &nbsp; &lt;filter-class&gt;Filter的全类名&lt;/filter-class&gt;<br />&nbsp; &nbsp; &nbsp; &nbsp; &lt;/filter&gt;<br />&nbsp; &nbsp; &nbsp; &nbsp; &lt;filter-mapping&gt;<br />&nbsp; &nbsp; &nbsp; &nbsp; &lt;filter-name&gt;别名&lt;/filter-name&gt;<br />&nbsp; &nbsp; &nbsp; &nbsp; &lt;url-pattern&gt;需要Filter拦截的资源地址&lt;/url-pattern&gt;<br />&nbsp; &nbsp; &nbsp; &nbsp; &lt;/filter-mapping&gt;<br />&nbsp; &nbsp; &nbsp; &nbsp;谁的&lt;filter-mapping&gt;在前面就先执行那个filter<br />	[3] Filter的生命周期<br />&nbsp; &nbsp; &gt; 一个请求的发送，到响应返回是一个线程。<br />&nbsp; &nbsp; &gt; Filter的生命周期，指的是Filter对象由被创建到被销毁的过程。<br />&nbsp; &nbsp; &gt; Filter的生命周期方法：<br />&nbsp; &nbsp; &nbsp; &nbsp; - 构造器：Filter的构造器在服务器启动时调用。 构造器只会调用一次，说明Filter也是单例多线程的。<br />&nbsp; &nbsp; &nbsp; &nbsp; - init()：在构造器被调用后，紧接着被调用。作用：用来初始化Filter。<br />&nbsp; &nbsp; &nbsp; &nbsp; - doFilter()：每一次拦截请求时都会调用。<br />&nbsp; &nbsp; 参数<br />&nbsp; &nbsp; ServletRequest request<br />&nbsp; &nbsp; &gt;  请求报文<br />&nbsp; &nbsp; ServletResponse response<br />&nbsp; &nbsp; &gt;  响应报文<br />&nbsp; &nbsp; FilterChain chain<br />&nbsp; &nbsp; &gt;  该对象的作用就是放行请求：<br />&nbsp; &nbsp; 可以通过 chain.doFilter(request,response) 放行请求。<br />&nbsp; &nbsp; 当调用chain.doFilter()就相当于调用目标的资源的service方法。<br />&nbsp; &nbsp; - destroy方法在项目停止时调用，用来在对象被销毁前做一些收尾工作。</p>
<p>&gt; url-pattern的设置规则：<br />&nbsp; &nbsp; &nbsp; &nbsp; 1.精确匹配：只有当目标资源的地址和url-pattern的地址一模一样时，Filter才会拦截资源<br />&nbsp; &nbsp; &nbsp; &nbsp; 例子：/2.jsp , 只有当浏览器访问项目根目录下的2.jsp时，才会调用Filter</p>
<p>2.路径匹配：当访问的资源在url-pattern配置的路径下时，Filter就会拦截资源。<br />&nbsp; &nbsp; &nbsp; &nbsp; 例子1：/hello/* ， 只要访问项目根目录下hello下的资源，就会调用Filter。<br />&nbsp; &nbsp; &nbsp; &nbsp; 例子2：/* , 会拦截项目根目录下所有资源</p>
<p>3.后缀匹配：只要访问的资源地址和url-pattern的后缀一样就会调用Filter<br />&nbsp; &nbsp; &nbsp; 例子：*.jsp 只要是以jsp结尾的请求都会拦截</p>
<p>- 以上规则适用于Servlet的url-pattern配置</p>
<p>- 当使用Filter拦截一个Servlet时，可以将Filter的url-pattern和Servlet的url-pattern一样<br />&nbsp; &nbsp; 这样Filter就会拦截发送到Servlet的请求。<br />			&nbsp;&nbsp;<br />&nbsp; &nbsp; - 也可以通过在filter-mapping中添加一个servlet-name标签来设置要拦截的Servlet的name</p>
<p>[4] Filter的执行顺序<br />&nbsp; &nbsp; &gt; 我们可以为一个资源设置多个过滤器，<br />&nbsp; &nbsp; 当我们为一个资源设置了多个过滤器时，这些过滤器就组成一个Filter链的结构。<br />&nbsp; &nbsp; 当我们去掉用chain.doFilter(),如果该过滤器后边还有其他的过滤，<br />&nbsp; &nbsp; 相当于调用了下一个过滤器doFilter()方法<br />&nbsp; &nbsp; 如果过滤器后没有其他的过滤器，我们调用chain.doFilter()<br />&nbsp; &nbsp; 相当于调用了目标资源的service()方法。</p>
<p>&gt; 多个Filter的执行顺序，有filter-mapping标签的配置顺序决定，<br />&nbsp; &nbsp; filter-mappint靠前，则filter先执行，靠后则后执行。</p>
<p>&gt; 我们可以通过修改filter-mapping的顺序来修改Filter的执行顺序，<br />&nbsp; &nbsp; 但是注意，filter-mapping不能写在filter标签的前边。</p>
<p>[5] dispatcher<br />&nbsp; &nbsp; &gt; Filter默认只会拦截直接向目标资源发送的请求，而像转发之类的请求不会拦截<br />&nbsp; &nbsp; &gt; 可以在在filter-mapping的dispatcher标签中来指定过滤器要拦截的请求类型：<br />&nbsp; &nbsp; &lt;dispatcher&gt;REQUEST&lt;/dispatcher&gt;<br />&nbsp; &nbsp; 代表拦截发送到目标资源的直接请求，如果不指定dispatcher默认值就是request<br />&nbsp; &nbsp; 如果在filter-mapping设置了dispatcher则按照设置的内容来</p>
<p>&lt;dispatcher&gt;FORWARD&lt;/dispatcher&gt;<br />&nbsp; &nbsp; FORWARD代表会拦截通过转发访问目标资源的请求。</p>
<p>&lt;dispatcher&gt;INCLUDE&lt;/dispatcher&gt;<br />&nbsp; &nbsp; INCLUDE会拦截动态包含的请求。</p>
<p>&lt;dispatcher&gt;ERROR&lt;/dispatcher&gt;<br />&nbsp; &nbsp; ERROR是拦截在web.xml中声明的错误页面的<br />&nbsp; &nbsp; - 我们可以在web.xml文件进行一个错误页面的映射，通过如下标签：<br />&nbsp; &nbsp; &lt;error-page&gt;<br />&nbsp; &nbsp; &lt;error-code&gt;404&lt;/error-code&gt;<br />&nbsp; &nbsp; &lt;location&gt;/4.jsp&lt;/location&gt;<br />&nbsp; &nbsp; &lt;/error-page&gt;<br />&nbsp; &nbsp; error-code指的是发生错误的代码<br />&nbsp; &nbsp; location 发生错误以后去到的页面</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-20 09:38:29 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/isp/" title="isp">isp</a>, <a href="https://www.biecuoliao.com/tag/ini/" title="ini">ini</a>, <a href="https://www.biecuoliao.com/tag/xml/" title="XML">XML</a>, <a href="https://www.biecuoliao.com/tag/service/" title="service">service</a>, <a href="https://www.biecuoliao.com/tag/%e6%9e%84%e9%80%a0%e5%99%a8/" title="构造器">构造器</a>, <a href="https://www.biecuoliao.com/tag/listener/" title="listener">listener</a>, <a href="https://www.biecuoliao.com/tag/ati/" title="ati">ati</a>, <a href="https://www.biecuoliao.com/tag/%e5%81%9c%e6%ad%a2/" title="停止">停止</a>, <a href="https://www.biecuoliao.com/tag/%e5%9c%a8%e6%9c%8d%e5%8a%a1%e5%99%a8/" title="在服务器">在服务器</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>JavaWeb三大组件之一Filter知识总结的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MLvB1v3.html" rel="bookmark">JavaWeb三大组件&mdash;过滤器filter</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				JavaWeb三大组件 1. 都需要在web.xml中进行配置ServletListener(2个感知监听器不需要配置)Filter 2. 过滤器 它会在一组资源(jsp.servlet..css..html等等)的前面执行! 它可以让请求得到目标资源,也可以不让请求达到! * 过滤器有拦截请求的能力! 登录:允许它访问AServlet.BServlet.CServlet ------------------------------- 过滤器如何编写 1. 写一个类实现Filter接口2. 在w			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4QWgqk0.html" rel="bookmark">学习笔记&lowbar;过滤器概述（过滤器JavaWeb三大组件之一）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				过滤器Filter Filter和Lister是Servlet规范里的两个高级特性.不同于Servlet,它们不用于处理客户端请求,只用于对request.response进行修改或者对context.session.request事件进行监听. Filter意为滤镜或者过滤器,用于Servlet之外对request或者response进行修改.Filter提出了滤镜链的概念,一个Filterchain包括多个F 1 什么是过滤器 过滤器JavaWeb三大组件之一,它与Servlet很相似!不它			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4Jv1yD4.html" rel="bookmark">javaweb三大组件之servlet（转载）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				javaWeb有三大组件:Filter.Servlet.Listener jsp有九大内置对象:application.session.request.response.out.page.pagecontent.config.exception javaEE三大组件技术: Servlet,JSP,EJB Servlet(Server Applet),全称Java Servlet,未有中文译文.是用Java编写的服务器端程序.其主要功能在于交互式地浏览和修改数据,生成动态Web内容.狭义的Serv			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4JoL7DM.html" rel="bookmark">JavaWeb三大组件小结</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				学完JavaWeb阶段有一段时间了,在进入框架学习之前,把JavaWeb三大组件做个总结记录,为框架学习铺点基础. 一.什么是JavaWeb三大组件? Servlet,Listener,Filter.它们在JavaWeb开发中分别提供不同的功能. 二.三大组件介绍 1.Servlet 1.1 servlet介绍 广义上说,servlet是运行在web服务器或应用服务器的程序,用来处理客户端请求的动态资源.Servlet = Service + Applet,表示小服务程序.狭义上来说,狭义的Se			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4NOBQoM.html" rel="bookmark">javaweb三大组件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				学完JavaWeb阶段有一段时间了,在进入框架学习之前,把JavaWeb三大组件做个总结记录,为框架学习铺点基础. 一.什么是JavaWeb三大组件? Servlet,Listener,Filter.它们在JavaWeb开发中分别提供不同的功能. 二.三大组件介绍 1.Servlet 1.1 servlet介绍 广义上说,servlet是运行在web服务器或应用服务器的程序,用来处理客户端请求的动态资源.Servlet = Service + Applet,表示小服务程序.狭义上来说,狭义的Se			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0dlz560.html" rel="bookmark">Filter过滤器-JavaWeb三大组件之一</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Servlet.Filter.Listener是JavaWeb的三大组件,给Web开发提供了很大的便利. 什么是Filter? Filter,过滤器.类似与生活中的净水器.空气净化器. JavaWeb中Filter的作用:当浏览器请求访问服务器的资源时,过滤器可以将请求拦截下来,完成一下特殊的功能.例如:登录验证.统一编码处理.敏感字符过滤等. Filter的基本使用 (1)定义一个类,实现接口Filter. (2)实现Filter接口的方法 (3)配置拦截路径.可以用web.xml进行配置:S			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0k8LKb3.html" rel="bookmark">JavaWeb三大组件之Servlet</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在JavaWeb中有三大组件,分别是Servlet.Filter和Listener.其中Servlet的作用是处理请求,服务器会把接收到的请求交给Servlet来处理,即接收请求数据.处理请求和完成响应. 1. 实现Servlet的方式 主要有三种实现方式:1)实现javax.servlet.Servlet接口:2)继承javax.servlet.GenericServlet类:3)继承javax.servlet.http.HttpServlet类:其中最常用的继承HttpServlet类来实现			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/02b2kp0.html" rel="bookmark">JavaWeb三大组件&mdash;&mdash;过滤器的运行机制理解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				过滤器Filter 文章前言:本文侧重实用和理解. 一.过滤器的概念. lFilter也称之为过滤器,它是Servlet技术中最实用的技术,WEB开发人员通过Filter技术,对web服务器管理的所有web资源:例如Jsp, Servlet, 静态图片文件或静态 html 文件等进行拦截,从而实现一些特殊的功能.例如实现URL级别的权限访问控制.过滤敏感词汇.压缩响应信息等一些高级功能. 二.过滤器的运行机制. 没有加Filter的web项目运行机制如下: 加上Filter的web运行机制: 由			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4APn6g3.html" rel="bookmark">学习笔记&lowbar;Filter小结（过滤器JavaWeb三大组件之一）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Filter小结 Filter的三个方法: l  void init(FilterConfig):在Tomcat启动时被调用: l  void destroy():在Tomcat关闭时被调用: l  void doFilter(ServletRequest,ServletResponse,FilterChain):每次有请求时都调用该方法: FilterConfig类:与ServletConfig相似,用来获取Filter的初始化参数 l  ServletContext getServletCo			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/B0RG6j3.html" rel="bookmark" class="title">OC内存管理</a>
					<div>
						OC内存管理 一.基本原理 (一)为什么要进行内存管理. 由于移动设备的内存极其有限,所以每个APP所占的内存也是有限制的,当app所占用的内存较多时,系统就会发出内存警告,这时需要回收一些不需要再继 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/35VqwV4.html" rel="bookmark" class="title">【转载】COM 组件设计与应用（十七）&mdash;&mdash;持续性</a>
					<div>
						原文:http://vckbase.com/index.php/wv/1264.html 一.前言 我们写程序,经常需要实现这样的需求: 例一.程序运行产生一个窗口,用户关闭的时候需要记录窗口的位置, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0awyBQ4.html" rel="bookmark" class="title">&lbrack;MongDB&rsqb; 主从架构--官方极力不推荐</a>
					<div>
						一.缘由: 看着数据库大家庭都有主从模式,想着Mongodb应该也不会落下.但从官网看来,先是早先舍弃了Master-Master模式,现在又在不推荐 Master-Slave模式,这是要标新立异呀. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MEkgxR3.html" rel="bookmark" class="title">字符串的最长重复子串&lpar;转&rpar;</a>
					<div>
						给定一个字符串,输出最长的重复子串 举例:ask not what your country can do for you,but what youcan do for your country 最长 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0nvqpx0.html" rel="bookmark" class="title">uva 10020  Minimal coverage  【贪心】&plus;【区间完全覆盖】</a>
					<div>
						Minimal coverage The Problem Given several segments of line (int the X axis) with coordinates [Li,Ri ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/02LrqA4.html" rel="bookmark" class="title">Android 自定义ViewGroup之实现FlowLayout-标签流容器</a>
					<div>
						本篇文章讲的是Android 自定义ViewGroup之实现标签流式布局-FlowLayout,开发中我们会经常需要实现类似于热门标签等自动换行的流式布局的功能,网上也有很多这样的FlowLayout ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0Y7aQv4.html" rel="bookmark" class="title">两张表A和B，各有一个字段，更新时间A&period;MODIFIED&lowbar;TM和B&period;MODIFIED&lowbar;TM，A表为主表，更新时间不为空，但是B表更新时间可能为空，现在要取A、B两表时间最新的那个，B&period;MODIFIED</a>
					<div>
						问题描述: 两张表A和B,各有一个字段,更新时间A.MODIFIED_TM和B.MODIFIED_TM,A表为主表,更新时间不为空,但是B表更新时间可能为空,现在要取A.B两表时间最新的那个,B.MO ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0eyQEE0.html" rel="bookmark" class="title">用C&num;制作推箱子小游戏</a>
					<div>
						思路分析: 一.制作一个地图 二.地图中放置墙.箱子.人.目标等 三.让小人动起来完成推箱子动作 游戏制作: 1.按照上述地图制作一个地图  (12行×13列) 地图可以看做是行和列组成的,即可以看做 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3qEnyN3.html" rel="bookmark" class="title">安卓NDK流程</a>
					<div>
						定义wrap类,声明native函数,加载库 package com.ndk.hello; public class Classs { public native String say_hello() ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MBY5BZ4.html" rel="bookmark" class="title">EcpliseIDE各种问题及其解决方法&lpar;不定时更新&rpar;</a>
					<div>
						Ecplise是一款另我又爱又恨的编译器,爱它的方便快捷,各种配置简单易上手:恨它的各种莫名其妙错误提示,内存机制差.(刚从c转型,有点挑剔) 进入正题,此篇用于记录我自己在Ecplise编译时出现的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3qxopG0.html" rel="bookmark" class="title">MT【68】一边柯西一边舍弃</a>
					<div>
						求$\sqrt{x-5}+\sqrt{24-3x}$的最值. 通常考试时会考你求最大值,常见的方式有三角代换,这里给如下做法: 证明:$\sqrt{x-5}+\sqrt{24-3x}=\sqrt{x- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0aR7QQ3.html" rel="bookmark" class="title">Codeforces Gym 100002 B Bricks 枚举角度</a>
					<div>
						Problem B Bricks&quot; Time Limit: 1 Sec Memory Limit: 256 MB 题目连接 http://codeforces.com/gym/100002  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MgR7Ng4.html" rel="bookmark" class="title">安装browser-sync</a>
					<div>
						browser-sync是一款很好用的通过在同一局域网给出的网址来从不同的终端来访问网页的技术,他极大地解决了我们由于网页需要在手机或者ipad上浏览而不得不安装各种环境或者软件的窘况,现在我来讲一下 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rB9Ab3.html" rel="bookmark" class="title">jQuery面向对象的写法</a>
					<div>
						定义的写法 //构造函数 function test(){ //construct code } //初始化方法 test.prototype.init = function(){ //init co ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0e9yLJ0.html" rel="bookmark" class="title">freemarker 模板开发入门</a>
					<div>
						数据模型 scalars标量:从根 root 开始指定它的路径,每级之间用点来分隔. 如:whatnot.fruits sequences 序列:使用数组的方括号方式来访问一个序列的子变量. 如:an ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pkk7V3.html" rel="bookmark" class="title">sql 排序 分组 层级 筛选 - God聚会啊</a>
					<div>
						前言: 以前做过2种列表,1是有排序,有筛选功能,但是没有层级和分组,2是有树形结构的层级和分组,但是数据是一下全部加载出来,虽然有点落后,没有用到分页加载,但是也是受制于大环境. 今天有1个需求是  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MVQ96k4.html" rel="bookmark" class="title">Struts2页面重定向</a>
					<div>
						一.重定向页面 1.概述 重定向大家都知道,这里的get方式是指地址栏可见传的参数.start.html页面只有一个按钮,点击就可以重定向到end.html页面(因为重定向嘛,前者页面没必要传什么参数 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4JOkzYM.html" rel="bookmark" class="title">Java web小记</a>
					<div>
						1.Java Web设置页面刷新的方法(两种): response.setHeader(&quot;refresh&quot;, &quot;0.3,&quot; + request.getHeade ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0dEJQe3.html" rel="bookmark" class="title">OCP 11G 053题库解析汇总链接&lpar;401-600&rpar;</a>
					<div>
						Oracle OCP 11G 053(401-600)答案解析目录 V13.02版本,711题 File Version: 3.2,200题 Version: 5.4 401   290 402 ht ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MDnO7o3.html" rel="bookmark" class="title">学习开淘宝网店</a>
					<div>
						上周有厂商到公司测试,拿了一块据说很猛的网络处理加速PCIe板卡,拎在手里沉甸甸的很有分量,最让人意淫的是那4个万兆光口,于是我迫不及待的想要一览光口转发时那种看不见的震撼.       可是,仅凭4 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
